use axum::Router;

use crate::server::Context;

mod auth;
mod devices;

pub fn router(ctx: Context) -> Router<Context> {
    Router::new()
        .nest("/auth", auth::router())
        .nest("/devices", devices::router(ctx.clone()))
}
